GET Mailbox
https://{cluster}.pp.sgp.pvp.net/mailbox/v1/{puuid}/product/valorant?count={count}&startIndex={startIndex}&includedStates={includedStates} Get the in-game mail of a player, such as the notifications sent after a report is acted on.
The {cluster} is the SGP cluster of the player's region and the {puuid} must be your own.
Headers
-
Authorization: Bearer {auth token}
URL Parameters
-
{cluster}There are 4 SGP clusters:
Cluster ID Region euc1Europe usw2North America / Brazil / LATAM / PBE apse1Asia Pacific / Oceania apne1Japan / Korea -
{puuid}Player UUID
Query Parameters
-
countoptionalMaximum number of mails to return, e.g.
100 -
startIndexoptionalIndex of the first mail to return, used together with
countfor pagination -
includedStatesoptionalOnly return mails in this state. Can be repeated to include multiple states, e.g.
includedStates=NEW&includedStates=READ&includedStates=ACKNOWLEDGED. Observed values:NEW,READ,ACKNOWLEDGED
Other Variables
-
auth tokenCan be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Response
type MailboxResponse = {
/** Mail ID */
mailId: string;
/** The player the mail was sent to */
puuid: string;
/** JSON-encoded string with the contents of the mail. The keys depend on the type of mail, for example `{"product":"valorant","category":"COMMS_ABUSE_TEXT","recipientType":"","offenderRiotId":"name#tag"}` */
message: string;
/** e.g. "valorant" */
product: string;
region: string | null;
/** e.g. `["ga-reporter-feedback-notification"]` */
tags: string[];
/** e.g. "ACK_REQUIRED" */
mailType: string;
/** e.g. "NEW", "READ", "ACKNOWLEDGED" */
state: string;
/** Milliseconds since epoch */
createdAt: number;
}[]; [
{
"mailId": "cC8f5d6F-bE1d-31B1-07fC-E280aa09D45f",
"puuid": "A8ab8F19-DdCF-26Ef-72Ff-fdA9714F24F7",
"message": "denuo",
"product": "Shirt",
"region": "ultra",
"tags": [
"antepono",
"decimus",
"victus",
"caelestis"
],
"mailType": "absorbeo",
"state": "Minnesota",
"createdAt": 5933222799944597
},
{
"mailId": "E7d21C14-f04c-35DF-eEC4-9b125aBFba4f",
"puuid": "BaF302eF-769c-3FF8-4D81-42459EA80cCe",
"message": "solio",
"product": "Sausages",
"region": "defetiscor",
"tags": [
"pecco",
"tollo",
"crepusculum",
"bellicus"
],
"mailType": "attero",
"state": "Oklahoma",
"createdAt": 34026922716544
}
]